* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* navbar css */

.navbar {
  background-color: #424144;
  padding: 0 120px !important;
}
.link-section {
  background-color: #393939;
  padding: 20px 120px;
}
.header-linklist {
  display: flex;
  list-style-type: none;
  padding: 0;
  margin: 0;
  justify-content: center;
  gap: 45px;
}
.header-link {
  text-decoration: none;
  color: #f3eff5;
  font-family: "Rubik", sans-serif;
  font-weight: 300;
  font-size: 15px;
}
.navbar-logo {
  height: 60px;
  width: 60px;
}
.nav-search {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  width: 70%;
}
.nav-buttons {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  width: 20%;
  gap: 5px;
}
.navtop-btn,
.searchbar-btn {
  display: flex;
  flex-direction: row;
  gap: 10px;
  justify-content: center;
  align-items: center;
  border: none;
  background-color: transparent;
  color: #f3eff5;
  padding: 10px 20px;
}
.navtop-btn {
  border-radius: 5px;
  transition: all ease-in-out 0.2s;
}
.navtop-btn:hover {
  background-color: #d62828;
}
.searchbar-btn {
  background-color: #d62828;
  border-radius: 0 5px 5px 0;
}
.search-icon {
  height: 20px;
}
.searchbar-input {
  height: 44px;
  border: 1px solid #afb1b6;
  border-right: none;
  border-radius: 5px 0 0 5px;
  padding: 5px 25px;
  width: 80%;
  font-family: "Rubik", sans-serif;
  font-weight: 300;
}
.nav-search ::placeholder {
  color: #090909;
  opacity: 1; /* Firefox */
}

.nav-search ::-ms-input-placeholder {
  /* Edge 12 -18 */
  color: #090909;
}
.btn-text {
  margin: 0;
  font-family: "Rubik", sans-serif;
  font-weight: 300;
}
.navitems-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
  width: 100%;
}
.nav-dropdown {
  position: relative;
}
.nav-dropdownbtn {
  border: none;
  background: none;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 10px;
}
.dropdown-heading {
  font-size: 20px;
  color: #d62828;
  margin-bottom: 15px;
}
.navdropdown-links {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.cart-icon,
.account-icon {
  height: 20px;
}
.navbar-toggler {
  padding: 0 !important;
  border: none !important;
}
.navbar-toggler:focus {
  box-shadow: none !important;
}
.navbar-toggler:focus-visible {
  outline: none !important;
}

.nav-dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 160px;
  box-shadow: 3px 6px 19px 0px rgb(0 0 0 / 15%);
  z-index: 1;
  /* top: 40px; */
  border-radius: 10px;
  border: 1px solid #bcbcbc;
}

.nav-dropdown-content a {
  color: black;
  text-decoration: none;
  display: block;
  white-space: nowrap;
}

.nav-dropdown-content a:hover {
  background-color: #ddd;
}

.nav-dropdown:hover .nav-dropdown-content {
  display: flex;
  padding: 25px 50px 30px 25px;
  gap: 20px;
}

.nav-dropdown:hover .dropbtn {
  background-color: #3e8e41;
}

/* Style the button that is used to open and close the collapsible content */
.collapsible {
  background-color: transparent;
  color: #ffffff;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
}

/* Style the collapsible content. Note: hidden by default */
.content {
  padding: 0 10px 20px;
  display: none;
  overflow: hidden;
  color: #fff;
}
.offcanvas-list {
  list-style-type: none;
  display: none;
  flex-direction: column;
  gap: 10px;
  padding: 0 2rem;
  font-family: "Segoe UI", sans-serif;
}
.collapsible {
  padding: 0;
}
.offcanvas-list-item a {
  text-decoration: none;
  color: #fff;
  font-size: 16px;
}
.content h6 {
  margin-top: 15px;
  color: #d62828;
  font-size: 15px;
}
.dropdown-items-list {
  list-style-type: none;
  padding-left: 10px;
}
.dropdown-items-list li a {
  font-size: 14px;
}
.dropdown-items-list li {
  margin-top: 5px;
}

/* body css */

.mainbody {
  margin-top: 111px;
  padding: 60px 150px;
  min-height: 500px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.maincontainer {
  width: 50%;
  min-width: 650px;
  max-width: 750px;
  background-color: #f7f7f7;
  border-radius: 10px;
  overflow: hidden;
  border: 1px solid #d7d7d7;
  padding: 40px 100px;
  font-family: "Rubik", sans-serif;
}

.loginlogo {
  height: 55px;
}

.maincontainer h3 {
  font-size: 35px;
  font-weight: 500;
  color: #5e5e5e;
  margin: 25px 0;
}

/* Style the buttons inside the tab */
.tab button {
  background-color: transparent;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  transition: 0.3s;
  font-size: 17px;
}

/* Change background color of buttons on hover */
/* .tab button:hover {
  background-color: #ddd;
} */

/* Create an active/current tablink class */
/* .tab button.active {
  background-color: #ccc;
} */

/* Style the tab content */
.tabcontent {
  display: none;
}

.tablinks {
  cursor: pointer;
  color: #d62828;
  font-weight: 500;
}

.txt-lg {
  margin: 3px 0 15px;
  border-radius: 5px;
  padding: 7px 10px;
  border: 1px solid #dfdfdf;
  width: 100%;
}

input[type="submit"] {
  background-color: #142003;
  border: 1px solid transparent;
  color: #fff;
  border-radius: 5px;
  padding: 10px 40px;
  font-size: 16px;
  white-space: nowrap;
  width: 100%;
}

input[type="text"]:focus-visible,
input[type="password"]:focus-visible,
input[type="number"]:focus-visible,
input[type="submit"]:focus-visible {
  outline: none;
}

.rememberinput {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 5px;
}

.login-bottomsection {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  font-size: 14px;
  margin-bottom: 15px;
}

.login-bottomsection p {
  margin: 0;
  color: #142003;
}

.bottomtext {
  margin: 40px 0 0;
}

.instructions {
  margin-bottom: 25px;
  color: #142003;
}

::-webkit-input-placeholder {
  /* WebKit, Blink, Edge */
  color: #a1a1a1;
}
:-moz-placeholder {
  /* Mozilla Firefox 4 to 18 */
  color: #a1a1a1;
  opacity: 1;
}
::-moz-placeholder {
  /* Mozilla Firefox 19+ */
  color: #a1a1a1;
  opacity: 1;
}
:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #a1a1a1;
}
::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #a1a1a1;
}

::placeholder {
  /* Most modern browsers support this now. */
  color: #a1a1a1;
}

.doubleinput {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

.doubleinput .singleinput {
  width: 50%;
}

/* footer css */

footer {
  /* padding: 150px 120px 10px 120px; */
  background-color: #151515;
}
.footer-text {
  color: #f3eff5 !important;
  font-family: "Montserrat", sans-serif;
}
.footerlink-heading {
  color: #f3eff5;
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
}
.footer-row {
  width: 100%;
  padding: 130px 120px 40px 120px;
}
.footer-bottom-text {
  color: #f3eff5;
  margin: 0;
  font-family: "Montserrat", sans-serif;
  font-size: 14px;
}

@media only screen and (max-width: 1600px) {
  /* .herosection {
    background-size: 750px;
    height: 770px;

} */

  /* .leftsection {
  width: 60%;
} */
}

@media only screen and (max-width: 1400px) {
  .mainbody {
    padding: 60px 120px;
  }

  nav {
    padding: 15px 60px !important;
  }

  footer {
    padding: 60px 120px;
  }

  footer .row {
    padding: 0;
  }
}

@media only screen and (max-width: 1200px) {
  .mainbody {
    padding: 60px 100px;
  }

  nav {
    padding: 15px 40px !important;
  }

  footer {
    padding: 60px 100px;
  }

  .maincontainer {
    width: 70%;
  }
}

@media only screen and (max-width: 1100px) {
}

@media only screen and (max-width: 992px) {
  .mainbody {
    flex-direction: column;
    padding: 60px 80px;
  }

  footer {
    padding: 60px 80px;
  }
}

@media only screen and (max-width: 991px) {
  .navcontainer {
    flex-direction: row !important;
    justify-content: flex-start !important;
    gap: 15px !important;
  }

  nav {
    max-height: unset;
  }

  .logo {
    height: 50px;
  }

  .navweb {
    display: none !important;
  }

  .navmob {
    display: block !important;
  }

  .linkssection {
    flex-direction: column;
    width: 100%;
    align-items: flex-start;
  }

  .mainbody {
    margin-top: 81px;
  }
}

@media only screen and (max-width: 768px) {
  .mainbody {
    flex-direction: column;
    padding: 60px 50px;
  }

  footer {
    padding: 60px 50px;
  }

  .maincontainer {
    width: 100%;
    min-width: unset;
  }
}

@media only screen and (max-width: 650px) {
  .maincontainer {
    padding: 40px 60px;
  }
}

@media only screen and (max-width: 576px) {
  .mainbody {
    flex-direction: column;
    padding: 60px 35px;
  }

  nav {
    padding: 15px 20px !important;
  }

  footer {
    padding: 60px 35px;
  }
}

@media only screen and (max-width: 500px) {
  .mainbody {
    flex-direction: column;
    padding: 60px 20px;
  }

  nav {
    padding: 15px 8px !important;
  }

  footer {
    padding: 60px 20px;
  }

  .maincontainer {
    padding: 40px 25px;
  }

  /* .loginlogo {
height: 35px;
} */

  .loginlogo {
    height: 75px;
  }

  .maincontainer h3 {
    font-size: 30px;
  }

  .doubleinput {
    flex-direction: column;
    gap: 0px;
  }

  .doubleinput .singleinput {
    width: 100%;
  }
}
